## ros-foxy-python-qt-binding 1.0.6

=== debian/changelog ===
ros-foxy-python-qt-binding (1.0.6-2focal) focal; urgency=high

  * Update maintainers (#96 <https://github.com/ros-visualization/python_qt_binding/issues/96>) (#98 <https://github.com/ros-visualization/python_qt_binding/issues/98>)
  * Add pytest.ini so local tests don't display warning (#93 <https://github.com/ros-visualization/python_qt_binding/issues/93>)
  * Contributors: Chris Lalancette, Shane Loretz

 -- Claire Wang <clairewang@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-foxy-python-qt-binding (1.0.5-2focal) focal; urgency=high

  * allow a list of INCLUDE_PATH (#92 <https://github.com/ros-visualization/python_qt_binding/issues/92>)
  * Use magic $(MAKE) variable to suppress build warning (#91 <https://github.com/ros-visualization/python_qt_binding/issues/91>)
  * Fix linking with non framework builds of qt (e.g. from conda-forge) (#84 <https://github.com/ros-visualization/python_qt_binding/issues/84>)
  * Contributors: Anton Matosov, Dirk Thomas, Robert Haschke

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 26 May 2020 07:00:00 -0000

ros-foxy-python-qt-binding (1.0.4-2focal) focal; urgency=high

  * remove obsolete function used for backward compatibility (#88 <https://github.com/ros-visualization/python_qt_binding/issues/88>)
  * disable Shiboken with CMake < 3.14 (#87 <https://github.com/ros-visualization/python_qt_binding/issues/87>)
  * fix case of CMake function (#86 <https://github.com/ros-visualization/python_qt_binding/issues/86>)
  * restore QUIET which was reverted in #79 <https://github.com/ros-visualization/python_qt_binding/issues/79>
  * use PySide2 and Shiboken2 targets for variables (#79 <https://github.com/ros-visualization/python_qt_binding/issues/79>)
  * Contributors: Dirk Thomas, Hermann von Kleist

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 05 May 2020 07:00:00 -0000

ros-foxy-python-qt-binding (1.0.3-2focal) focal; urgency=high

  * check if Shiboken2Config.cmake defines a target instead of a variable (#77 <https://github.com/ros-visualization/python_qt_binding/issues/77>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 12 Nov 2019 08:00:00 -0000

ros-foxy-python-qt-binding (1.0.2-2focal) focal; urgency=high

  * replace Qt variable in generated Makefile (#64 <https://github.com/ros-visualization/python_qt_binding/issues/64>)
  * don't add -l prefix if it already exists (#59 <https://github.com/ros-visualization/python_qt_binding/issues/59>)
  * if present, use the sipconfig suggested sip program (#70 <https://github.com/ros-visualization/python_qt_binding/issues/70>)
  * replace Qt variable in generated Makefile (#64 <https://github.com/ros-visualization/python_qt_binding/issues/64>) (#67 <https://github.com/ros-visualization/python_qt_binding/issues/67>)
  * fixing trivial accidental string concatenation (#66 <https://github.com/ros-visualization/python_qt_binding/issues/66>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 30 Sep 2019 07:00:00 -0000

ros-foxy-python-qt-binding (1.0.1-2focal) focal; urgency=high

  * no warnings for unavailable PySide/Shiboken (#58 <https://github.com/ros-visualization/python_qt_binding/issues/58>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Dec 2018 08:00:00 -0000

ros-foxy-python-qt-binding (1.0.0-2focal) focal; urgency=high

  * check for Homebrew's PyQt5 install path (#57 <https://github.com/ros-visualization/python_qt_binding/issues/57>)
  * port to Windows (#56 <https://github.com/ros-visualization/python_qt_binding/issues/56>)
  * fix lint tests (#55 <https://github.com/ros-visualization/python_qt_binding/issues/55>)
  * update sip_configure to handle improper lib names (#54 <https://github.com/ros-visualization/python_qt_binding/issues/54>)
  * port to ROS 2 (#52 <https://github.com/ros-visualization/python_qt_binding/issues/52>)
  * autopep8 (#51 <https://github.com/ros-visualization/python_qt_binding/issues/51>)
  * remove :: from shiboken include path (#48 <https://github.com/ros-visualization/python_qt_binding/issues/48>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 10 Dec 2018 08:00:00 -0000

ros-foxy-python-qt-binding (0.3.4-2focal) focal; urgency=high

  * add support for additional Qt5 modules (#45 <https://github.com/ros-visualization/python_qt_binding/issues/45>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 03 Aug 2018 07:00:00 -0000

ros-foxy-python-qt-binding (0.3.3-2focal) focal; urgency=high

  * Prefer qmake-qt5 over qmake when available (#43 <https://github.com/ros-visualization/python_qt_binding/issues/43>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Oct 2017 07:00:00 -0000

ros-foxy-python-qt-binding (0.3.2-2focal) focal; urgency=high

  * Fix problems on OS X (#40 <https://github.com/ros-visualization/python_qt_binding/pull/40>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 23 Jan 2017 08:00:00 -0000

ros-foxy-python-qt-binding (0.3.1-2focal) focal; urgency=high

  * support for the Qt 5 modules QtWebEngine and QtWebKitWidgets (#37 <https://github.com/ros-visualization/python_qt_binding/issues/37>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 21 Apr 2016 07:00:00 -0000

ros-foxy-python-qt-binding (0.3.0-2focal) focal; urgency=high

  * switch to Qt5 (#30 <https://github.com/ros-visualization/python_qt_binding/issues/30>)
  * print full stacktrace

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 01 Apr 2016 07:00:00 -0000

ros-foxy-python-qt-binding (0.2.18-2focal) focal; urgency=high

  * remove LGPL and GPL from licenses, all code is BSD (#27 <https://github.com/ros-visualization/python_qt_binding/issues/27>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Mar 2016 07:00:00 -0000

ros-foxy-python-qt-binding (0.2.17-2focal) focal; urgency=high

  * change import order of builtins to work when the 'future' package is installed in Python 2 (#24 <https://github.com/ros-visualization/python_qt_binding/issues/24>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 07:00:00 -0000


